<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * @file include/conf/registry.inc
 * Archivo con el registro de valores constantes del sistema
 *
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */
 
// Registrar valores constantes

Registry::setConst( 'MOONDRAGON_VERSION', '2.0 beta_1' );

Registry::setConst( 'DEFAULT_SECTION', 'home' );
Registry::setConst( 'ERROR_SECTION', 'error' );
Registry::setConst( 'DEFAULT_MODEL', 'CoreModel' );
Registry::setConst( 'DEFAULT_VIEW', 'CoreView' );
Registry::setConst( 'DEFAULT_CONTROLLER', 'CoreController' );
Registry::setConst( 'DEFAULT_PAGE', 'standard' );

?>
 