<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * @file include/conf/session.php
 * Configuración de la sesión
 *
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */

if( isset( $_POST['login'] ) )
{
	$user_id = $_POST['id'];
	$user_password = $_POST['password'];
	
	// @todo Obtener estos datos de la bdd
	$user_screenname = 'Test';
	$user_email = 'test@email.com';
	$group_id = 0;
	$auth_level = Session::USER;
	
	if( $md_session->sessionCreate( $user_id, $user_password, $user_screenname, $user_email, $group_id, $auth_level ) )
	{
		Registry::set( 'login_success', true );
	}
	else
	{
		Registry::set( 'login_success', false );
	}
}

if( isset( $_REQUEST['logout'] ) )
{
	$md_session->sessionDestroy();
}

?>
 