<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * Vista por defecto de MoonDragon
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */
 
class CoreView extends HTMLView
{	
	//**********************************************************************************
	// Métodos privados	
	//**********************************************************************************
	
	/**
	 * (non-PHPdoc)
	 * @see include/lib/core/HTMLView#display()
	 */
	protected function display()
	{
		$section = Registry::get( 'section' );
		
		if( file_exists( 'templates/pages/'.$section.'.tpl' ) )
		{
			$this->setPage( $section );
		}
	}
}
 
?>
 